OsmoSGSN LLC implementation doesn't refuse ABM
Description

the LLC layer has a (specified) Asynchronous Balanced Mode (ABM), which is very much like LAPDm. | don't think it's used much in
production. In any case, the OsmoSGSN LLC code implements a very small fraction of that, without properly handling it.

The better option is to outright refuse any etablishment of ABM, and hence inform the peer (MS) that ABM is not supported by
sending a DM frame. This is also what the spec states in Section 6.4.1.4 of 3GPP TS 04.64:

The DM unnumbered response shall be used by an LLE to report to its peer that the LLE is in a state such that ABM operation
cannot be performed. An LLE shall transmit a DM response to any valid command received that it cannot action.

History

#1 - 04/24/2019 07:56 AM - laforge

The fix to OsmoSGSN is in https://gerrit.osmocom.org/#/c/osmo-sgsn/+/13767/ and the related ttcn3 test is in
https://gerrit.osmocom.org/#/c/osmo-ttcn3-hacks/+/13766/

#2 - 04/24/2019 07:56 AM - laforge
- % Done changed from 0 to 70

#3 - 04/30/2019 09:45 AM - laforge
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

patches merged
